:root {
  --bg: #000000;
  --panel: #141414;
  --panel-2: #181818;
  --hover: #2a2a2a;
  --text: #ffffff;
  --muted: #515151;
  --accent: #004cff;
}

.hidden {
  display: none !important;
}

.view {
  display: block;
}

.view.hidden {
  display: none !important;
}

#queueView,
#statsView,
#mobileSearchView,
#libraryView,
#homeView {
  width: 100%;
  min-height: 100%;
}

/* =========================
   GLOBAL
========================= */
body {
  margin: 0;
  font-family: "Helvetica Neue", Arial, sans-serif;
  background: var(--bg);
  color: var(--text);
  overflow: hidden;
}

/* =========================
   CANVAS LAYOUT
========================= */
#app {
  display: grid;
  grid-template-columns: 270px 1fr 270px;

  height: 100vh;
  gap: 12px;

  padding: 68px 12px 6px;
  box-sizing: border-box;
  padding-bottom: 75px;
}

/* =========================
   PANELS
========================= */
#sidebar-left,
#sidebar-right,
#main {
  background: var(--panel);
  border-radius: 8px;
  overflow: hidden;
}

/* SIDE PANELS */
#sidebar-left,
#sidebar-right {
  border-radius: 8px;
  padding: 14px;
  display: flex;
  flex-direction: column;
  gap: 14px;

overflow-y: auto;

scrollbar-width: thin;
scrollbar-color: rgba(79, 72, 72, 0) transparent;
}

#sidebar-left::-webkit-scrollbar,
#sidebar-right::-webkit-scrollbar {
  width: 6px;
}

#sidebar-left::-webkit-scrollbar-track,
#sidebar-right::-webkit-scrollbar-track {
  background: transparent;
}

#sidebar-left::-webkit-scrollbar-thumb,
#sidebar-right::-webkit-scrollbar-thumb {
  background: rgba(255,255,255,0.022);
  border-radius: 999px;
}

#sidebar-left::-webkit-scrollbar-thumb:hover,
#sidebar-right::-webkit-scrollbar-thumb:hover {
  background: rgba(255,255,255,0.35);
}

/* MAIN */
#main {
  padding: 14px;
  padding-top: 48px;

  overflow-y: auto;
  background: linear-gradient(to bottom, #101010, #101010 200px);
}

/* HIDE SCROLLBAR */
#main::-webkit-scrollbar {
  width: 8px;
}

#main::-webkit-scrollbar-track {
  background: transparent;
}

#main::-webkit-scrollbar-thumb {
  background-color: rgba(255,255,255,0.28);
  border-radius: 999px;
}

#main::-webkit-scrollbar-thumb:hover {
  background-color: rgba(255,255,255,0.4);
}

/* =========================
   LEFT SIDEBAR
========================= */
.logo {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 12px;
  color: var(--accent);
}

#sidebar-left button {
  background: none;
  border: none;
  color: var(--muted);
  padding: 10px;
  border-radius: 8px;
  text-align: left;
  cursor: pointer;
  transition: 0.2s;
}

#sidebar-left button:hover {
  background: var(--hover);
  color: var(--text);
}

.sidebar-icon-btn {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 60px;
  height: 60px;

  border-radius: 10px;
}

.sidebar-icon-btn img {
  width: 22px;
  height: 22px;
  opacity: 0.8;
}

.sidebar-icon-btn:hover img {
  opacity: 1;
}

.sidebar-icon-btn.active {
  background: rgba(255, 255, 255, 0.08);

  box-shadow:
    0 0 12px rgba(0, 76, 255, 0.18),
    0 0 0 1px rgba(255,255,255,0.04);

  transform: scale(1.03);
}

.sidebar-icon-btn.active img {
  opacity: 1;
}

#sidebarLibrary {
  margin-top: 16px;
}

#sidebarLibrary h3 {
  font-size: 14px;
  color: #b3b3b3;
  margin: 0 0 10px;
}

#sidebarLibraryList {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.sidebar-library-row {
  display: flex;
  align-items: center;
  gap: 10px;
  position: relative;

  padding: 8px;
  border-radius: 8px;

  cursor: pointer;
  transition: 0.2s ease;
}

.sidebar-library-row:hover {
  background: rgba(255,255,255,0.08);
}

.sidebar-library-thumb {
  width: 38px;
  height: 38px;
  border-radius: 6px;

  background: #333;
  background-size: cover;
  background-position: center;

  flex-shrink: 0;
}

.sidebar-library-info {
  min-width: 0;
}

.sidebar-library-info div {
  font-size: 13px;
  color: white;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.sidebar-library-info span {
  font-size: 11px;
  color: #888;
}

.sidebar-library-more {
  margin-left: auto;

  background: transparent;
  border: none;

  color: #999;
  font-size: 18px;

  cursor: pointer;
}

.sidebar-library-menu {
  position: absolute;
  right: 10px;
  top: 50px;

  display: flex;
  flex-direction: column;
  gap: 6px;

  background: #181818;

  border-radius: 8px;
  padding: 8px;

  z-index: 50;

  border: 1px solid rgba(255,255,255,0.06);

  box-shadow:
    0 10px 30px rgba(0,0,0,0.18);
}

.sidebar-library-menu button,
.sidebar-library-menu a {
  background: transparent;
  border: none;

  color: white;
  text-decoration: none;

  padding: 8px 10px;
  border-radius: 6px;

  cursor: pointer;
}

.playlist-picker {
  margin-top: 6px;
  padding-top: 6px;
  border-top: 1px solid rgba(255,255,255,0.08);

  display: flex;
  flex-direction: column;
  gap: 4px;
}

.playlist-picker.hidden {
  display: none;
}

.playlist-choice {
  text-align: left;
}

.sidebar-library-menu button,
.sidebar-library-menu a {
  color: white !important;
}

.sidebar-library-menu button:hover,
.sidebar-library-menu a:hover {
  background: rgba(154, 143, 143, 0.158);
  color: white;
}

#libraryHeader {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

#createPlaylistBtn {
  background: transparent;
  border: none;
  color: white;
  font-size: 20px;
  cursor: pointer;
}

.playlist-single-art {
  background-size: cover;
  background-position: center;
  background-color: #333;
}

/* =========================
   SEARCH
========================= */
#searchBarWrapper {
  pointer-events: auto;
  display: flex;
  justify-content: center;
  margin-bottom: 24px;
  width: 100%;
}

#searchBar {
  width: 360px;
  padding: 12px 16px;
  border-radius: 8px;
  border: none;
  background: rgba(36, 36, 36, 0.85);
  color: white;
  outline: none;
  font-size: 14px;
  backdrop-filter: blur(10px);
}

#searchBar:focus {
  background: rgba(33, 33, 33, 0.95);
}

#topLogo {
  position: fixed;

  top: 12px;
  left: 20px;
  
  z-index: 100;
}

#topLogo img {
  height: 45px;
  width: 100px;

  object-fit: contain;

  background: transparent;
}

/* =========================
   PROFILE
========================= */

#appHeader {
  position: fixed;

  top: 6px;
  left: 0;
  right: 0;

  height: 78px;

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 100;

  pointer-events: none;
}

#profileBox {
  position: fixed;
  top: 6px;
  right: 35px;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;

  z-index: 100;

   padding: 6px 8px;
  border-radius: 16px;

  background: transparent;
  box-shadow: none;

  cursor: pointer;
  transition: 0.2s ease;

  pointer-events: auto;
}

#profileAvatar {
  width: 34px;
  height: 34px;

  border-radius: 50%;

  background: linear-gradient(
    135deg,
    #0015ff,
    #0d00ff
  );

  display: flex;
  align-items: center;
  justify-content: center;

  color: white;
  font-weight: 700;
  font-size: 18px;

  cursor: pointer;

  transition:
    transform 0.18s ease,
    box-shadow 0.18s ease;
}

#profileAvatar:hover {
  transform: scale(1.05);

  box-shadow:
    0 0 12px rgba(0, 76, 255, 0.22);
}

#userBox {
  font-size: 11px;
  color: #b3b3b3;
  max-width: 90px;
  text-align: center;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

#profileMenu {
  position: absolute;
  top: 58px;
  right: 0;

  min-width: 190px;

  background: #181818;
  border: 1px solid #333;
  border-radius: 12px;

  padding: 8px;

  display: flex;
  flex-direction: column;
  gap: 6px;

  z-index: 99999;

  box-shadow:
    0 8px 24px rgba(56, 48, 48, 0.205),
}

#profileMenu.hidden {
  display: none !important;
}

#profileMenu button {
  background: none;
  border: none;
  color: white;

  padding: 10px 12px;
  border-radius: 8px;

  text-align: left;
  cursor: pointer;
}

#profileMenu button:hover {
  background: #2a2a2a;
}

/* =========================
   GRID
========================= */
#recentGrid,
#topSongsGrid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  gap: 16px;
}

#topSongsGrid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px;
  margin-bottom: 28px;
}

.compact-song-row {
  display: flex;
  align-items: center;
  gap: 12px;

  background: rgba(255, 255, 255, 0.06);
  border-radius: 8px;
  overflow: hidden;

  cursor: pointer;
  transition: 0.2s ease;
}

.compact-song-row:hover {
  background: rgba(255, 255, 255, 0.12);

  transform: translateY(-2px);

    box-shadow:
      0 4px 14px rgba(0,0,0,0.3),
      0 0 0 1px rgba(255,255,255,0.04);
}

.compact-thumb {
  width: 58px;
  height: 58px;
  background: #333;
  background-size: cover;
  background-position: center;
  flex-shrink: 0;
}

.compact-info {
  min-width: 0;
}

.compact-info div:first-child {
  color: white;
  font-size: 14px;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.compact-info div:last-child {
  color: #b3b3b3;
  font-size: 12px;
}

/* =========================
   CARDS
========================= */
.card {
  background: var(--panel-2);
  padding: 12px;
  border-radius: 14px;
  cursor: pointer;
  transition: 0.2s;
}

.card:hover {
  background: var(--hover);
  transform: translateY(-4px);
}

.playlist-thumb {
  background:
    linear-gradient(135deg, #004cff, #111),
    #333;
}

.playlist-add-btn {
  padding: 7px 10px;
  border: none;
  border-radius: 8px;

  background: rgba(0, 76, 255, 0.18);
  color: white;

  cursor: pointer;
  white-space: nowrap;
}

.playlist-add-btn:hover {
  background: rgba(0, 76, 255, 0.3);
}

.playlist-art-grid {
  width: 38px;
  height: 38px;
  border-radius: 6px;
  overflow: hidden;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);

  background: #333;
  flex-shrink: 0;
}

.playlist-art-grid div {
  background-size: cover;
  background-position: center;
}

#playlistModal {
  position: fixed;
  inset: 0;

  background: rgba(0,0,0,0.6);

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 999999;
}

#playlistModal.hidden {
  display: none !important;
}

#playlistModalCard {
  width: 360px;

  background: #181818;

  border-radius: 18px;

  padding: 22px;

  box-shadow:
    0 20px 50px rgba(0,0,0,0.45);

  border: 1px solid rgba(255,255,255,0.06);
}

#playlistModalCard h2 {
  margin-top: 0;
  margin-bottom: 18px;

  font-size: 24px;
}

#playlistNameInput {
  width: 100%;
  box-sizing: border-box;

  background: rgba(255,255,255,0.06);

  border: 1px solid rgba(255,255,255,0.08);

  color: white;

  padding: 14px 16px;

  border-radius: 8px;

  outline: none;

  font-size: 15px;
}

#playlistNameInput:focus {
  border-color: #004cff;

  box-shadow:
    0 0 0 3px rgba(0,76,255,0.14);
}

#playlistModalActions {
  margin-top: 18px;

  display: flex;
  justify-content: flex-end;
  gap: 10px;
}

#playlistModalActions button {
  border: none;

  padding: 11px 16px;

  border-radius: 8px;

  cursor: pointer;

  color: white;
}

#cancelPlaylistBtn {
  background: rgba(255,255,255,0.08);
}

#savePlaylistBtn {
  background: #004cff;
}

/* =========================
   SONG MENU
========================= */

.song-card-footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 8px;
}

.song-more-btn {
  background: none;
  border: none;
  color: #aaa;
  font-size: 20px;
  cursor: pointer;
  padding: 2px 6px;
  border-radius: 6px;
}

.song-more-btn:hover {
  color: white;
  background: rgba(255, 255, 255, 0.08);
}

.song-menu {
  position: fixed;
  background: #181818;
  border: 1px solid #333;
  border-radius: 8px;
  padding: 6px;
  z-index: 99999;
  display: flex;
  flex-direction: column;
  gap: 4px;
  min-width: 160px;
}

.song-menu button {
  background: none;
  border: none;
  color: white;
  padding: 10px 14px;
  text-align: left;
  cursor: pointer;
  border-radius: 6px;
}

.song-menu button:hover {
  background: #2a2a2a;
}

.thumb {
  width: 100%;
  aspect-ratio: 1;
  border-radius: 8px;
  margin-bottom: 10px;
  background: #333;
  background-size: cover;
  background-position: center;
}

.row-thumb {
  width: 48px;
  height: 48px;
  border-radius: 6px;
  background: #333;
  background-size: cover;
  background-position: center;
  flex-shrink: 0;
}

/* =========================
   ROWS
========================= */
.row {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px;
  border-radius: 8px;

  background: rgba(255, 255, 255, 0.015);

  box-shadow:
    0 1px 2px rgba(0,0,0,0.25),
    0 0 0 1px rgba(255,255,255,0.03);

  transition: 0.2s ease;
}

.row:hover {
  background: var(--hover);

  box-shadow:
    0 4px 14px rgba(0,0,0,0.35),
    0 0 0 1px rgba(255,255,255,0.05);

    transform: translateY(-2px);
 }

 .row {
  position: relative;
  overflow: hidden;
  transition: transform 0.18s ease;
}

.swipe-queue-label {
  position: absolute;
  left: -120px;
  top: 0;
  bottom: 0;

  width: 110px;

  display: flex;
  align-items: center;
  justify-content: center;

  background: #0057ff;
  color: white;

  font-size: 12px;
  font-weight: 700;

  border-radius: 10px;

  opacity: 0;
  pointer-events: none;

  transition: opacity 0.15s ease;
}

.swipe-queue-label.active {
  opacity: 1;
}
/* =========================
   RIGHT SIDEBAR
========================= */
#sidebar-right {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

#nowPlayingCard {
  background: linear-gradient(180deg, #1f1f1f, #121212);
  border-radius: 8px;
  padding: 14px;
}

#nowPlayingCard.playing {
  box-shadow: 0 0 8px rgb(0, 0, 255);
  transform: scale(1.01);
  transition: 0.3s ease;
}

#albumArt {
  width: 100%;
  aspect-ratio: 1;
  border-radius: 8px;
  margin-bottom: 12px;
  background: #333;
  background-size: cover;
  background-position: center;
}

#nowPlayingText {
  font-size: 16px;
  font-weight: 500;
}

/* =========================
   LYRICS
========================= */
#lyricsBox {
  background: var(--panel-2);
  border-radius: 8px;
  padding: 12px;
  flex: 1;
  overflow-y: auto;
}

#lyricsText {
  display: flex;
  flex-direction: column;

  gap: 4px;

  overflow-y: auto;

  padding:
    60px 10px 120px;

  scroll-behavior: smooth;

  text-align: center;
}

.lyric-line {
  color: #6f6f6f;

  font-size: 13px;
  line-height: 1.35;

  padding: 2px 0;

  transition: 0.25s ease;

  text-align: center;

  opacity: 0.65;

  word-break: break-word;
  overflow-wrap: break-word;
  white-space: normal;
}

.lyric-line.active {
  color: white;

  font-size: 15px;
  font-weight: 700;

  opacity: 1;

  transform: scale(1.03);

  text-shadow:
    0 0 10px rgba(0, 76, 255, 0.25);
}

/* =========================
   DESKTOP PLAYER BAR
========================= */
#playerBar {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;

  height: 72px;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  gap: 6px;

  background: #000000;

  z-index: 50;
}

#playerControls {
  display: flex;
  align-items: center;
  gap: 12px;
}

#bottomNav {
  display: flex;
  align-items: center;
  gap: 20px;

  margin-right: 999px;

  position: relative;
  top: -25px;

  left: -40px;
}

.bottom-nav-btn {
  width: 38px;
  height: 38px;

  border: none;
  border-radius: 10px;

  background: rgba(255,255,255,0.04);

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;

  transition: 0.2s ease;

   box-shadow:
    0 0 12px rgb(0, 26, 255),
    0 0 0 1px rgba(0, 0, 0, 0.534);
}


.bottom-nav-btn img,
#mobileNav img {
  width: 20px;
  height: 20px;

  opacity: 1;

  filter:
    brightness(0)
    invert(1)
}

#mobileNav img {
  width: 22px;
  height: 22px;

  filter:
    brightness(0)
    saturate(100%)
    invert(12%)
    sepia(98%)
    saturate(5312%)
    hue-rotate(228deg)
    brightness(100%)
    contrast(118%);
}

.bottom-nav-btn:hover {
  background: rgba(255,255,255,0.08);
}

.bottom-nav-btn:hover img {
  opacity: 1;
}

.bottom-nav-btn.active {
  background: rgba(255,255,255,0.08);

  box-shadow:
    0 0 12px rgba(0, 76, 255, 0.18),
    0 0 0 1px rgba(255,255,255,0.04);
}

#playerBar button {
  background: none;
  border: none;
  color: var(--text);
  font-size: 18px;
  cursor: pointer;
  transition: 0.15s;
}

#playerBar button:hover {
  transform: scale(1.15);
  color: var(--accent);
}

#repeatBtn,
#shuffleBtn {
  position: relative;
}

#repeatBtn.active,
#shuffleBtn.active {
  color: #004cff;

  text-shadow:
    0 0 10px rgba(0,76,255,0.45);
}

#repeatBtn.active::after,
#shuffleBtn.active::after {
  content: "";

  position: absolute;

  left: 50%;
  bottom: -6px;

  transform: translateX(-50%);

  width: 5px;
  height: 5px;

  border-radius: 50%;

  background: #004cff;

  box-shadow:
    0 0 8px rgba(0,76,255,0.8);
}

/* =========================
   DESKTOP PROGRESS BAR
========================= */
#progressBar {
  width: 340px;
  height: 3px;
  position: relative;
  top: -1px;

  appearance: none;
  border-radius: 999px;
  outline: none;
  cursor: pointer;

  background: linear-gradient(
    to right,
    #004cff var(--progress, 0%),
    #2a2a2a var(--progress, 0%)
  );
}

#progressWrapper {
  display: flex;
  align-items: center;
  gap: 12px;
  width: 100%;
  justify-content: center;
  
  position: relative;
  top: -20px;

  margin: -25px;
}

#progressBar::-webkit-slider-thumb {
  appearance: none;
  width: 0;
  height: 0;
}

/* =========================
   DROPDOWN
========================= */
#searchDropdown {
  position: absolute;
  top: 60px;
  left: 50%;
  transform: translateX(-50%);

  width: 320px;

  background: rgb(29, 28, 28);
  backdrop-filter: blur(10px);

  border-radius: 10px;
  padding: 6px 0;

  box-shadow: 0 10px 30px rgb(0, 0, 0);

  z-index: 9999;

  display: none;
}

.search-item {
  padding: 10px 14px;
  cursor: pointer;
  color: #fff;
  font-size: 14px;
}

.search-item:hover {
  background: rgba(255, 255, 255, 0.08);
}

/* =========================
   MOBILE NAV
========================= */

#mobileNav {
  display: none;
}

#miniPlayer {
  display: none;
}

/* =========================
   MORE SHEET
========================= */

#moreSheet {
  position: fixed;
  bottom: 85px;
  left: 20px;
  background: #181818;
  border: 1px solid #333;
  border-radius: 10px;
  padding: 8px;
  z-index: 99999;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

#moreSheet.hidden {
  display: none !important;
}

#moreSheet button {
  background: none;
  border: none;
  color: white;
  padding: 10px 14px;
  text-align: left;
  cursor: pointer;
}

#moreSheet button:hover {
  background: #2a2a2a;
}

#songInfoModal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.55);
  z-index: 99999;

  display: flex;
  align-items: center;
  justify-content: center;
}

#songInfoModal.hidden {
  display: none !important;
}

#songInfoCard {
  width: 320px;
  background: #181818;
  border-radius: 16px;
  padding: 18px;
  color: white;

  box-shadow:
    0 12px 40px rgba(0,0,0,0.55);
}

#closeSongInfo {
  float: right;
  background: none;
  border: none;
  color: white;
  font-size: 24px;
  cursor: pointer;
}

.song-info-row {
  margin: 12px 0;
  color: #b3b3b3;
}

.song-info-row strong {
  color: white;
}

.queue-toast {

  position: fixed;

  left: 50%;
  bottom: 110px;

  transform: translateX(-50%) translateY(20px);

  background: rgba(20,20,20,0.95);

  color: white;

  padding: 12px 18px;

  border-radius: 999px;

  font-size: 13px;
  font-weight: 600;

  z-index: 99999;

  opacity: 0;

  transition:
    opacity 0.2s ease,
    transform 0.2s ease;
}

.queue-toast.show {

  opacity: 1;

  transform:
    translateX(-50%)
    translateY(0);
}

/* =========================
   MOBILE LAYOUT
========================= */

@media (max-width: 768px) {

#mobileSearchView {
  display: flex;
}

  #bottomNav {
    display: none;
  }



  /* HIDE SEARCH BAR ON MOBILE */
  #searchBarWrapper {
    display: none;
  }
   
  #sidebar-left,
  #sidebar-right {
    display: none;
  }

  #app {
    grid-template-columns: 1fr;
  }

  /* hide desktop player on mobile */
  #playerBar {
    display: none;
  }

  /* prevent content cutoff */
  #main {
    padding-bottom: 140px;
    padding-top:60px;
  }

  /* mobile nav */
  #mobileNav {
    position: fixed;

    bottom: 0;
    left: 0;
    right: 0;

    height: 65px;

    display: flex;
    justify-content: space-around;
    align-items: center;

    background: #000;

    border-top: 1px solid #222;

    z-index: 1000;
  }

  #mobileNav button {
    background: none;
    border: none;

    color: #aaa;

    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 4px;

    font-size: 10px;
  }

  /* active mobile tab */
  #mobileNav button.active {
    color: rgb(26, 33, 223);
  }

  /* =========================
     MINI PLAYER
  ========================= */

  #miniPlayer {
    position: fixed;

    bottom: 65px;
    left: 0;
    right: 0;

    height: 64px;

    background: #111;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0px 12px;

    z-index: 999;

    border-top: 1px solid #222;
  }

  #miniLeft {
    display: flex;
    align-items: center;
    gap: 10px;

    flex: 1;
    min-width: 0;
  }

  #miniAlbumArt {
    width: 42px;
    height: 42px;
    border-radius: 6px;
    background: #333;
    background-size: cover;
    background-position: center;

    flex-shrink: 0;
  }

  #miniMeta {
    display: flex;
    flex-direction: column;
    justify-content: center;

    flex: 1;
    min-width: 0;
  }

  #miniInfo {
    font-size: 13px;
    color: white;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  /* mobile progress bar */
  #miniProgressBar {
    width: 95%;
    margin-top: 6px;

    height: 2px;
    appearance: none;
    border-radius: 999px;
    outline: none;

    background: linear-gradient(
      to right,
      #004cff var(--progress, 0%),
      #2a2a2a var(--progress, 0%)
    );
  }

  #miniProgressBar::-webkit-slider-thumb {
    appearance: none;
    width: 0;
    height: 0;
  }

  #miniControls {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-left: 12px;

  position: relative;
  z-index: 2000;

  pointer-events: auto;
}

#miniControls button {
  position: relative;
  z-index: 2001;

  pointer-events: auto;

  min-width: 28px;
  min-height: 28px;

  background: transparent;
  border: none;
  color: rgb(255, 255, 255);

  cursor: pointer;
}

  /* mobile search bar */
  #mobileSearchWrapper {
    width: 100%;
    display: block;
    padding: 20px 14px;
}

#mobileSearchBar {
  display: block;
  width: calc(87vw - 16px);
  max-width: none;
  box-sizing: border-box;

  padding: 14px 16px;
  border-radius: 8px;

  background: rgba(255,255,255,0.1);
  color: rgb(255, 255, 255);

  font-size: 14px;
  outline: none;
}

#mobileSearchResults {
  margin-top: 18px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 100%;
}

#mobileSearchTitle {
  margin: 0 0 18px;
  font-size: 28px;
}

#mobileSearchWrapper {
  padding: 20px 14px;
}

#mobileSearchBar {
  box-shadow:
  0 2px 6px rgba(0, 0, 0, 0.87),
  0 8px 30px rgba(0, 0, 0, 0.224),
  0 0 0 1px rgba(184, 36, 36, 0);
  backdrop-filter: blur(10px);
}

#mobileSearchResults {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#mobileShuffleBtn,
#mobileRepeatBtn {
  font-size: 13px;
  opacity: 0.65;
  position: relative;
}

#mobileShuffleBtn.active,
#mobileRepeatBtn.active {
  color: #004cff;
  opacity: 1;
  text-shadow: 0 0 8px rgba(0,76,255,0.65);
}

#miniControls,
#miniControls button,
#mobileShuffleBtn,
#mobileRepeatBtn {
  pointer-events: auto;
  z-index: 1002;
}

#mobileShuffleBtn,
#mobileRepeatBtn {
  position: relative;
}

#mobileShuffleBtn.active::after,
#mobileRepeatBtn.active::after {
  content: "";

  position: absolute;

  left: 50%;
  bottom: -6px;

  transform: translateX(-50%);

  width: 4px;
  height: 4px;

  border-radius: 50%;

  background: #004cff;

  box-shadow:
    0 0 6px rgba(0,76,255,0.75);
}

#mobileLibraryHeader {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 4px 14px;
}

#mobileCreatePlaylistBtn {
  background: transparent;
  border: none;
  color: white;
  font-size: 24px;
  cursor: pointer;
}
}
